let PillarTable = pillar.vuecomponents.table.PillarTable;
import {ShotsColumnFactory} from './columns/ShotsColumnFactory'
import {ShotRowsSource} from './rows/ShotRowsSource'
import {RowFilter} from '../attracttable/filter/RowFilter'

let ShotsTable = Vue.component('attract-shots-table', {
    extends: PillarTable,
    columnFactory: ShotsColumnFactory,
    rowsSource: ShotRowsSource,
    components: {
        'pillar-table-row-filter': RowFilter,
    },
});

export { ShotsTable }
